%global modulename postcss-styled

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-postcss-styled
Version:        0.34.0
Release:        1%{?dist}
Summary:        PostCSS syntax for parsing styled components

License:        MIT
URL:            https://github.com/gucong3000/postcss-styled#readme
Source0:        https://registry.npmjs.org/postcss-styled/-/postcss-styled-0.34.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch


Requires:       npmlib(%{modulename}) = %{version}

%description
PostCSS syntax for parsing styled components

%package 0.34.0
Summary:        PostCSS syntax for parsing styled components


%description 0.34.0
PostCSS syntax for parsing styled components

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr extract.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr template-parse.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr template-parser.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr template-safe-parse.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr template-safe-parser.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr template-tokenize.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}


%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 0.34.0
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Mon Nov 26 2018 npm2srpm <dshea@redhat.com> - 0.34.0-1
- Package automatically generated by npm2srpm
